Foros del Web » Programando para Internet » PHP »

El Apache no encuentra las librerias de extensión dinámica en windows!!

Estas en el tema de El Apache no encuentra las librerias de extensión dinámica en windows!! en el foro de PHP en Foros del Web. Por que puede ser que aunque ya le haya especificado al php.ini donde están las librerias de extension dinamicas el servidor no las encuentre cuando ...
  #1 (permalink)  
Antiguo 07/01/2005, 07:54
 
Fecha de Ingreso: enero-2005
Mensajes: 11
Antigüedad: 12 años, 11 meses
Puntos: 0
El Apache no encuentra las librerias de extensión dinámica en windows!!

Por que puede ser que aunque ya le haya especificado al php.ini donde están las librerias de extension dinamicas el servidor no las encuentre cuando lo reinicio. Me sale varios errores de este tipo "Unable to load dynamic library 'C:/phpdev/php/extensions/php_oracle.dll'- No se puede encontrar el módulo especificado" y resulta que si están ahi en ese directorio y el extension_dir está bien puesto asi que no tengo idea de lo que pasa. Por favor aconsejenme en esto porque las necesito urgentemente.

Gracias y respondanme lo más rápido que puedan.

Última edición por menriquedigital; 07/01/2005 a las 08:02
  #2 (permalink)  
Antiguo 07/01/2005, 08:10
O_O
 
Fecha de Ingreso: enero-2002
Ubicación: Santiago - Chile
Mensajes: 34.417
Antigüedad: 15 años, 11 meses
Puntos: 126
La mayoría de extensiones de PHP .. sobre todo las relacionadas con base de datos .. requieren de la versión "cliente" instalada en el servidor que corre PHP para aportarle las librerías extra que requiere PHP para usar (en tu caso) Oracle.

Un saludo,
  #3 (permalink)  
Antiguo 07/01/2005, 08:23
 
Fecha de Ingreso: enero-2005
Mensajes: 11
Antigüedad: 12 años, 11 meses
Puntos: 0
Que versión cliente son esas?

Disculpa pero a que versión cliente te refieres, una para bases de datos? El problema es que estoy probando una clases para gestion con bases de datos y necesito al menos probarla con mySql, Oracle, SQL Server y Postgres SQL y dicha clase utiliza por supuesto las funciones de php. Tendría que instalar los respectivos clientes para bases de datos?

Última edición por menriquedigital; 07/01/2005 a las 08:59
  #4 (permalink)  
Antiguo 07/01/2005, 08:59
O_O
 
Fecha de Ingreso: enero-2002
Ubicación: Santiago - Chile
Mensajes: 34.417
Antigüedad: 15 años, 11 meses
Puntos: 126
Pues la versión cliente de Oracle son de la Base de datos, lo mismo te va hacer falta para MS SQL Server y otras BD.

Por ejemplo para MS SQL Server sé que es la NTWDBLIB.DLL (si usas windows) lo que debes instalar o tener en tu ?:windows/system/

Para Oracle y otras BD .. tendrás que revisar la documentación al menos de PHP .. por qué ahí suelen estar comentarios sobre ese tema.

Un saludo,
Atención: Estás leyendo un tema que no tiene actividad desde hace más de 6 MESES, te recomendamos abrir un Nuevo tema en lugar de responder al actual.
Respuesta




La zona horaria es GMT -6. Ahora son las 17:41.